package com.neusoft.smart.pos.printer.persistent.mapper;

import com.neusoft.smart.pos.printer.persistent.domain.PrinterGoodsRefInfo;
import com.neusoft.smart.pos.printer.persistent.domain.PrinterGoodsRefInfoExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface PrinterGoodsRefInfoMapper {
    int countByExample(PrinterGoodsRefInfoExample example);

    int deleteByExample(PrinterGoodsRefInfoExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PrinterGoodsRefInfo record);

    int insertSelective(PrinterGoodsRefInfo record);

    List<PrinterGoodsRefInfo> selectByExample(PrinterGoodsRefInfoExample example);

    PrinterGoodsRefInfo selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PrinterGoodsRefInfo record, @Param("example") PrinterGoodsRefInfoExample example);

    int updateByExample(@Param("record") PrinterGoodsRefInfo record, @Param("example") PrinterGoodsRefInfoExample example);

    int updateByPrimaryKeySelective(PrinterGoodsRefInfo record);

    int updateByPrimaryKey(PrinterGoodsRefInfo record);

    void batchInsert(@Param("items") List<PrinterGoodsRefInfo> items);
}